#ifndef COSTMAP_2D_UNPREFERRED_LAYER_H_
#define COSTMAP_2D_UNPREFERRED_LAYER_H_

#include <costmap_2d/static_layer.h>

namespace costmap_2d
{
class UnPreferredLayer : public StaticLayer
{
public:
  UnPreferredLayer();
  virtual ~UnPreferredLayer();

private:
  unsigned char interpretValue(unsigned char value);

};

}

#endif // COSTMAP_2D_UNPREFERRED_LAYER_